;;;
;;; ** Thu Sep 07 19:53:17 2006 **
;;;

#include "regdef.h"
#include "portdef.h"
#include "hardware.h"
#include "random.h"
#include "display.h"
#include "sound.h"
#include "button.h"
#include "button.mac"
#include "text.h"
#include "text.mac"
#include "score.h"

;;	list p=16c65b,f=INHX32	; INHX32 required for config bits in file
	list p=16c622a,f=INHX32	; INHX32 required for config bits in file

	__config 0x3FB3		; uses RC as the clock

	global	Start

;;
;; The following two externs will be provided by the main game "driver"
;; such as retrorover.asm or retris.asm.  Only one such drive can be
;; linked in at any one time.
;;
	extern	GameInit
	extern	GameProcess

PROG1	CODE

;;;*******************************************************************
;;; NAME:	Start()
;;;
;;; DESCR:	entry point for this thing
;;;
;;; ARGS:
;;;
;;; RETURNS:
;;;
;;; NOTES:
;;;*******************************************************************
Start:
	call	HardwareInit
	call	RandomInit
	call	DisplayInit
	call	SoundInit
	call	ButtonInit
	call	TextInit
	call	GameInit

	movlw	MAIN_DELAY_DEFAULT
	movwf	MAIN_COUNTER

Loop:
	call	SoundUpdate

	;; execute standard delay for calling the "main" functions

	decfsz	MAIN_COUNTER
	goto	Loop

	movlw	MAIN_DELAY_DEFAULT
	movwf	MAIN_COUNTER

	call	ButtonProcess
	call	TextProcess
	call	GameProcess
	call	DisplayUpdate
 	call	SoundDurationUpdate

	goto	Loop
	
;;; =======================================================================
;;; =======================================================================

	END




