
GameOverMessage:
	addwf	PCL
	retlw	'G'
	retlw	'A'
	retlw	'M'
	retlw	'E'
	retlw	' '
	retlw	'O'
	retlw	'V'
	retlw	'E'
	retlw	'R'
	retlw	' '
	retlw	0x00

;;
;; the concept here is that a game gets into a state where a message is being
;; scrolled.
;;
;; Maybe there is ALWAYS a call to the scroll routine, and it only scrolls when
;; there is a message to be scrolled.  A couple of variables can be set:
;; SCROLLING_BUSY indicating that we are still scrolling, or SCROLLING_DONE
;; if nothing is going on.  Note that the scroll routine needs to be called
;; on a given delay basis to make the speed of the scroll acceptable.
;;
;; Maybe we can make use of a big block of memory - say 30 bytes or so.
;; Then a message is loaded into memory, and the scrolling routine can take
;; over from there.

;;
;; ScrollUpdate() - Called to "continue" current scrolling operation.
;;			This routine should be called at the speed in which
;;			scrolling is to be effected.
;;

if SCROLL_DONE is NOT done, then continue!
use SCROLL_POINTER  to load characters


ScrollGameOverMessage:
		ScrollLoad	GameOverMessage,WORK0
		return