;;
;; definitions of the ports
;;
;;#include "P16C65B.INC"
#include "P16C622A.INC"

   errorlevel -302		; stops banking warnings
   errorlevel -305		; stops default destination warnings


; RA0/AN0	- DISPLAY_LATCH (out)
; RA1/AN1	- BUTTON_1      (in)
; RA2/AN2	- SOUND		(out)
; RA3/AN3/VREF	- 
; RA4/T0CKI	- 
;
; RB0/INT	- COL/ROW0 (out)
; RB1		- COL/ROW1 (out)
; RB2		- COL/ROW2 (out)
; RB3		- COL/ROW3 (out)
; RB4(INT)	- COL/ROW4 (out)
; RB5(INT)	-     ROW5 (out)
; RB6(INT)	-     ROW6 (out)
; RB7(INT)	- BUTTON_0 (in)

;;
;; The DISPLAY lines are multiplexed for ROW and COL data.
;; There are 5 columns, and 7 rows.  All output.
;; A zero on the ROW line turns on that row.  A one on the
;; COL line turns on the column.
;;

#define DISPLAY_DATA	PORTB
#define DISPLAY_0	PORTB,0x00
#define DISPLAY_1	PORTB,0x01
#define DISPLAY_2	PORTB,0x02
#define DISPLAY_3	PORTB,0x03
#define DISPLAY_4	PORTB,0x04
#define DISPLAY_5	PORTB,0x05
#define DISPLAY_6	PORTB,0x06

#define DISPLAY_0_CTL	TRISB,0x00
#define DISPLAY_1_CTL	TRISB,0x01
#define DISPLAY_2_CTL	TRISB,0x02
#define DISPLAY_3_CTL	TRISB,0x03
#define DISPLAY_4_CTL	TRISB,0x04
#define DISPLAY_5_CTL	TRISB,0x05
#define DISPLAY_6_CTL	TRISB,0x06

;;
;; The display has a combination latch/blank line which is
;; tied to the LS374.  On the rising edge the data is latched
;; into the LS374.  When the line is high, the LS374 is tri-
;; stated, blanking the display.  When the line is lowered
;; the display turns on again.

#define DISPLAY_LATCH		PORTA,0x00
#define DISPLAY_LATCH_CTL	TRISA,0x00

;;
;; There are two buttons
;;

#define BUTTON_0	PORTB,0x07
#define BUTTON_0_CTL	TRISB,0x07

#define BUTTON_1	PORTA,0x01
#define BUTTON_1_CTL	TRISA,0x01

;;
;; The little speaker is driven by this line.
;;

#define SOUND_PORT	PORTA,0x02
#define SOUND_PORT_CTL	TRISA,0x02
