;;
;; Terrain Display - top is zero
;;
#define TERRAIN_LINES	7
#define	TERRAIN		0x60
#define	TERRAIN_0	(TERRAIN+0)
#define	TERRAIN_1	(TERRAIN+1)
#define	TERRAIN_2	(TERRAIN+2)
#define	TERRAIN_3	(TERRAIN+3)
#define	TERRAIN_4	(TERRAIN+4)
#define	TERRAIN_5	(TERRAIN+5)
#define	TERRAIN_6	(TERRAIN+6)

;;
;; Terrain/Rover Registers
;;	TPOINTER - a pointer into the terrain data
;;	TSPEED - the current speed
;;	TCURRENT - current speed count-down
;;	ROVER_LEVEL - the current "level" of the Rover (the Y position of the Rover)
;;	ROVER_DONE - non-zero if done, meaning we have a winner!
;;	ROVER_STATE - the current rover state (0 = ok, 1 = damaged, 2 = REALLY damaged, 4 = dead)
;;	ROVER_POS - the X position of the Rover
;;	RR_STATE - the state of the whole game
;;
#define ROVER_MAX	d'4'

#define TPOINTER	0x67
#define	TSPEED		0x68
#define	TCURRENT	0x69
#define	ROVER_LEVEL	0x6a
#define ROVER_DONE	0x6b
#define ROVER_STATE	0x6c
#define ROVER_POS	0x6d
#define ROVER_LAST	0x6e
#define	RR_STATE	0x6f
#define ROVER_IMMUNITY	0x70

#define ROVER_IMMUNITY_DEFAULT	d'3'

;;
;; the rest (through 0x7f) not used
;;
